#!/bin/sh

export P_AREA_EXT="460000 1140000     1016000 1483000"
export SMALL_AREA="690000 1370000     974000 1440000" #multnomah bounding  

# select getbbox(the_geom) from counties where county_nam='multnomah' BOX(691002.0625 1349584.25,973731.0625 1458448.125) 

# Basic counties w/ roads
shp2img -m or_mapfile.map -l hwys -o counties_and_roads.jpg

# collect the four counties in the PDX region into a single shape
shp2img -m or_mapfile.map  -l collected_counties -o collected_counties.jpg \
	-e $P_AREA_EXT

# airports in OR
shp2img -m or_mapfile.map  -l airports -o airports_or.jpg 

# airports near pdx -- need a smaller extent 
shp2img -m or_mapfile.map  -l airports_nearby -o airports_nearby.jpg -e $SMALL_AREA

# show airp convexhull and multnomah less airp convexhull 
shp2img -m or_mapfile.map -l 'random_polys airports_nearby' -o airports_convexhull.jpg \
	-e $SMALL_AREA

# show shiptracks
shp2img -m or_mapfile.map -l 'shiptracks' -o shiptracks.jpg
